
import 'package:flutter/material.dart';
import 'package:orientation_screen/common/utils/ScreenOrientationMode.dart';
import 'package:orientation_screen/widgets/orientation.screen.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Orientation Screen Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
        visualDensity: VisualDensity.adaptivePlatformDensity,
      ),
      home: MyHomePage(),
    );
  }
}

class MyHomePage extends StatelessWidget {

  @override
  Widget build(BuildContext context) {
    return OrientationScreen(
      orientationMode: ScreenOrientationMode.portraitOnly,
      child: Scaffold(
        appBar: AppBar(
          title: Text(' Orientation Screen Demo Home Page'),
        ),
        body: Container(
          child: Center(
            child: Column(
              mainAxisAlignment: MainAxisAlignment.center,
              children: <Widget>[
                Text('This screen is only portrait mode'),
                RaisedButton(
                  child: Text('Next Screen'),
                  onPressed: () {
                    Navigator.of(context).push(MaterialPageRoute(
                        builder: (context) => MySecondPage()
                    ));
                  },
                )
              ],
            ),
          ),
        ),
      ),
    );
  }
}

//secondPage
class MySecondPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return OrientationScreen(
      child: Scaffold(
        appBar: AppBar(
          title: Text('Orientation Screen Demo Home Page'),
        ),
        body: Container(
          child: Center(
            child: Column(
              mainAxisAlignment: MainAxisAlignment.center,
              children: <Widget>[
                Text('This screen is auto rotation mode'),
              ],
            ),
          ),
        ),
      ),
    );
  }
}
